ISCAN-REGISTRY(8)

NAME
iscan-registry - (un)register iscan interpreter plugins

SYNOPSIS
iscan-registry --help | --version
iscan-registry --add <spec>
iscan-registry --remove <spec>

DESCRIPTION
'iscan-registry' updates the run-time data for Image Scan! for Linux

Image Scan! for Linux plugins may need to (un)register themselves. This utility gives plugins a common interface to do just that. You should not need to use this utility manually.

The following options are supported:

-h, --help
    displays this message and exit

-v, --version
    displays program version and exit

-a, --add
    adds a plugin to the run-time data

-r, --remove
    removes a plugin from the run-time data

The following <spec>s are supported:

    interpreter usb <vendor-id> <product-id> <plugin> [<firmware>]

The <vendor-id> and <product-id> are the USB IDs in hexadecimal notation, prefixed with '0x'. <plugin> and optional <firmware> are pathnames to the corresponding files. Note that the <plugin> pathname should not include an extension.

AUTHOR
Written by AVASYS CORPORATION.

COPYRIGHT
Copyright © 2008 SEIKO EPSON CORPORATION
This is free software. You may redistribute copies of it under the terms of the GNU General Public License, version 2 or later. See <http://www.gnu.org/licenses/gpl.html> for details.